# Class XMLParser

java.lang.Object
jspecview.source.XMLParser

public class XMLParser extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CHARACTERS`
`static final int`
`COMMENT`
`static final int`
`END_ELEMENT`
`static final int`
`EOF`
`static final int`
`START_ELEMENT`
`static final int`
`START_END_ELEMENT`
`static final int`
`TAG_NONE`

## Constructor Summary

Constructors
Constructor
Description
`XMLParser(BufferedReader br)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeList()`
`String`
`getAttrValue(String name)`
`String`
`getAttrValueLC(String key)`
`String`
`getBufferData()`
`String`
`getCharacters()`
`String`
`getEndTag()`
`String`
`getInnerXML()`
`String`
`getOuterXML()`
`String`
`getTagName()`
`int`
`getTagType()`
`boolean`
`hasNext()`
`int`
`nextEvent()`
`void`
`nextStartTag()`
`void`
`nextTag()`
`String`
`nextValue()`
`int`
`peek()`
`String`
`qualifiedValue()`
for <xxxx> value </xxxx>
`boolean`
`requiresEndTag()`
`String`
`thisValue()`
for value without surrounding tag

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TAG_NONE

public static final int TAG_NONE

See Also:
  - Constant Field Values

### START_ELEMENT

public static final int START_ELEMENT

See Also:
  - Constant Field Values

### END_ELEMENT

public static final int END_ELEMENT

See Also:
  - Constant Field Values

### START_END_ELEMENT

public static final int START_END_ELEMENT

See Also:
  - Constant Field Values

### CHARACTERS

public static final int CHARACTERS

See Also:
  - Constant Field Values

### COMMENT

public static final int COMMENT

See Also:
  - Constant Field Values

### EOF

public static final int EOF

See Also:
  - Constant Field Values

## Constructor Details

### XMLParser

public XMLParser(BufferedReader br)

## Method Details

### getBufferData

public String getBufferData()

### thisValue

public String thisValue() throws Exception
for value without surrounding tag

Returns:
  value
Throws:
  `Exception`

### qualifiedValue

public String qualifiedValue() throws Exception
for <xxxx> value </xxxx>

Returns:
  value
Throws:
  `Exception`

### peek

public int peek() throws Exception

Throws:
  `Exception`

### hasNext

public boolean hasNext()

### nextTag

public void nextTag() throws Exception

Throws:
  `Exception`

### nextEvent

public int nextEvent() throws Exception

Throws:
  `Exception`

### nextStartTag

public void nextStartTag() throws Exception

Throws:
  `Exception`

### getTagName

public String getTagName()

### getTagType

public int getTagType()

### getEndTag

public String getEndTag()

### nextValue

public String nextValue() throws Exception

Throws:
  `Exception`

### getAttributeList

public String getAttributeList()

### getAttrValueLC

public String getAttrValueLC(String key)

### getAttrValue

public String getAttrValue(String name)

### getCharacters

public String getCharacters() throws Exception

Throws:
  `Exception`

### getOuterXML

public String getOuterXML() throws Exception

Throws:
  `Exception`

### getInnerXML

public String getInnerXML() throws Exception

Throws:
  `Exception`

### requiresEndTag

public boolean requiresEndTag()